#%RAML 1.0 Library
type: object
displayName: Resultado de amostra na listagem
description: Utilizado para informar dados básicos do resultado de amostra
properties: 
    status:
        required: false
        type: string
        enum: [ NORMAL, ATENCAO, ANORMAL, CRITICO ]
    lido:
        type: boolean
    data:
        type: datetime
    numeroAmostra:
        required: false
        type: string
    codigoExternoAmostra:
        required: false
        type: string
    tipoCompartimento:
        type: object
        properties:
            nome:
                type: string
            id:
                type: string
    chassiSerie:
        required: false
        type: string
    tagFrota:
        required: false
        type: string
    familia:
        required: false
        type: string
    fabricanteEquipamento:
        required: false
        type: object
        properties:
            nome:
                type: string
            id:
                type: string
    modelo:
        required: false
        type: string
    nomeCompartimento:
        required: false
        type: string
    idCompartimento:
        required: false
        type: integer
    idEquipamento:
        required: false
        type: integer
    cliente:
        type: object
        properties:
            nome:
                type: string
            id:
                type: string
    obra:
        required: false
        type: object
        properties:
            nome:
                type: string
            id:
                type: string
    programa:
        required: false
        type: object
        properties:
            nome:
                type: string
            id:
                type: string
    area:
        required: false
        type: string
    setor:
        required: false
        type: string
